package com.diagbot.mapper;

import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.entity.DeptInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 科室信息表 Mapper 接口
 * </p>
 *
 * @author wangyu
 * @since 2018-11-19
 */
public interface DeptInfoMapper extends BaseMapper<DeptInfo> {

    /**
     *  获取科室信息
     * @param deptCode
     * @param hospitalCode
     * @return
     */
    public List<DeptInfoDTO> getDeptInfos(@Param("deptCode")String deptCode, @Param("hospitalCode")String hospitalCode);
}
