package com.diagbot.service.impl;

import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.entity.DeptInfo;
import com.diagbot.mapper.DeptInfoMapper;
import com.diagbot.service.DeptInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 科室信息表 服务实现类
 * </p>
 *
 * @author wangyu
 * @since 2018-11-19
 */
@Service
public class DeptInfoServiceImpl extends ServiceImpl<DeptInfoMapper, DeptInfo> implements DeptInfoService {

    @Override
    public List<DeptInfoDTO> getDeptInfos(String deptCode, String hospitalCode) {
        return baseMapper.getDeptInfos(deptCode,hospitalCode);
    }
}
