package com.diagbot.service.impl;

import com.diagbot.dto.DoctorInfoDTO;
import com.diagbot.entity.DoctorInfo;
import com.diagbot.mapper.DoctorInfoMapper;
import com.diagbot.service.DoctorInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 医生信息表 服务实现类
 * </p>
 *
 * @author rengb
 * @since 2018-11-19
 */
@Service
public class DoctorInfoServiceImpl extends ServiceImpl<DoctorInfoMapper, DoctorInfo> implements DoctorInfoService {

    @Override
    public List<DoctorInfoDTO> getDoctorInfos(String doctorCode, String hospitalCode, String deptCode) {
        return baseMapper.getDoctorInfos(doctorCode,hospitalCode,deptCode);
    }
}
