package com.diagbot.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.TemplateInfoDTO;
import com.diagbot.entity.TemplateInfo;
import com.diagbot.mapper.TemplateInfoMapper;
import com.diagbot.service.TemplateInfoService;

/**
 * <p>
 * 模板表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2018-11-16
 */
@Service
public class TemplateInfoServiceImpl extends ServiceImpl<TemplateInfoMapper, TemplateInfo> implements TemplateInfoService {

	/**
	 * 根据医生id查询该医生保存的病历模板
	 */
	@Override
	public List<TemplateInfoDTO> findByDoctorIdTemplate(TemplateInfo templateInfo) {
		
		 return baseMapper.findByDoctorIdTemplate(templateInfo);
	}
	
	
}
