package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/30 17:25
 */
@RestController
@RequestMapping("/disease")
@SuppressWarnings("unchecked")
@Api(value = "诊断相关API", tags = { "诊断相关API" })
public class DiseaseController {

    /**
     * 根据诊断获取治疗方案
     *
     * @return
     */
    @PostMapping("/getTreatmentPlanByDisease")
    @SysLogger("getTreatmentPlanByDisease")
    public RespDTO<Boolean> getTreatmentPlanByDisease() {
        return RespDTO.onSuc(true);
    }
}
