package com.diagbot.client.hystrix;

import com.diagbot.client.UserServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.Token;
import com.diagbot.entity.User;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;


/**
 * @Description: 调用用户服务
 * @author: gaodm
 * @time: 2018/8/6 9:52
 */
@Component
@Slf4j
public class UserServiceHystrix implements UserServiceClient {

    @Override
    public RespDTO<Boolean> verifyToken(Token token) {
        log.error("【hystrix】调用{}异常", "verifyToken");
        return null;
    }

}
