package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.IntroduceDetail;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.IntroduceDetailServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/16 14:31
 */
@Component
public class IntroduceDetailFacade extends IntroduceDetailServiceImpl {

    /**
     * 获取提示信息明细
     * @param introduceId
     * @return
     */
    public List<IntroduceDetail> getByIntroduceId(Long introduceId) {
        QueryWrapper<IntroduceDetail> introduceDetailQueryWrapper = new QueryWrapper<>();
        introduceDetailQueryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey()).
                eq("introduce_id", introduceId);
        return this.list(introduceDetailQueryWrapper);
    }
}
