package com.diagbot.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.GetRetrievalsByTagDTO;
import com.diagbot.entity.Retrieval;
import com.diagbot.vo.GetRetrievalsByTagVO;

/**
 * <p>
 * 同义词检索表 Mapper 接口
 * </p>
 *
 * @author wangyu
 * @since 2018-12-03
 */
public interface RetrievalMapper extends BaseMapper<Retrieval> {
	
	/**
	 * 根据标签获取同义词
	 * @param getRetrievalsByTagVO
	 * @return
	 */
	List<GetRetrievalsByTagDTO> getRetrievalsByTag(GetRetrievalsByTagVO getRetrievalsByTagVO);

}
