package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.QuestionInfo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2018-11-23
 */
public interface QuestionInfoService extends IService<QuestionInfo> {

    /**
     * 根据id删除标签
     *
     * @param map
     * @return
     */
    public void deleteByIds(Map map);


    /**
     * 检索
     *
     * @param map
     * @return
     */
    public List<QuestionInfo> index(Map map);

}
