package com.diagbot.service.impl;

import com.diagbot.entity.DeptVital;
import com.diagbot.mapper.DeptVitalMapper;
import com.diagbot.service.DeptVitalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 科室查体对应表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2018-11-22
 */
@Service
public class DeptVitalServiceImpl extends ServiceImpl<DeptVitalMapper, DeptVital> implements DeptVitalService {

    public Boolean saveRecords(List<DeptVital> deptVitalList){
        super.saveBatch(deptVitalList);
        return true;
    }

}
