package com.diagbot.service.impl;

import com.diagbot.entity.QuestionInfo;
import com.diagbot.mapper.QuestionInfoMapper;
import com.diagbot.service.QuestionInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2018-11-23
 */
@Service
public class QuestionInfoServiceImpl extends ServiceImpl<QuestionInfoMapper, QuestionInfo> implements QuestionInfoService {

    @Override
    public void deleteByIds(Map map) {
        baseMapper.deleteByIds(map);
    }

    @Override
    public List<QuestionInfo> index(Map map) {
        return baseMapper.index(map);
    }
}
