package com.diagbot.vo;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:52
 */
@ApiModel(value="根据标签获取同义词接口传参")
@Getter
@Setter
public class GetRetrievalsByTagVO {
	
	/**
     * 标签id
     */
	@ApiModelProperty(value="标签id")
    private Long questionId;
	
	/**
	 * 标签名称
	 */
	@ApiModelProperty(value="标签名称",required=true)
	@NotBlank(message="标签名称必传")
	private String questionName;


}
