package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/26 16:47
 */
@Getter
@Setter
public class IntroduceDetailVO {
    /**
     * 提示信息
     */
    private String content;
    /**
     * 提示信息-纯文本
     */
    private String text;
    /**
     * 标题
     */
    private String title;
    /**
     * 排序号
     */
    private Integer orderNo;
    /**
     * 显示位置：1-右侧显示，0-都显示
     */
    private Integer position;

    /**
     * 是否诊断依据（1-是，0-否）
     */
    private Integer isReason;
}