package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 修改科室信息入参
 * @author: wangyu
 * @time: 2018/12/5 16:17
 */
@Getter
@Setter
public class UpdateDeptInfoVO {
    @NotBlank(message = "请输入id")
    private Long id;
    @NotBlank(message = "请输入科室名称")
    private String name;
}
