package com.diagbot.facade;

import com.diagbot.entity.ModuleDetail;
import com.diagbot.service.impl.ModuleDetailServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 模型明细务层
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class ModuleDetailFacade extends ModuleDetailServiceImpl {


    /**
     * 根据moduleId，sexType，age获取模型
     * @param map
     * @return 模型数据
     */
    public List<ModuleDetail> getDetailByModuleFac(Map map) {
        return this.getDetailByModule(map);
    }
}
