package com.diagbot.mapper;

import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.InquiryInfo;

/**
 * <p>
 * 问诊记录表 Mapper 接口
 * </p>
 *
 * @author rengb
 * @since 2018-11-23
 */
public interface InquiryInfoMapper extends BaseMapper<InquiryInfo> {
	
	/**
	 * 根据医院id和病人id获取最近一条其他史不为空的病历
	 * @param map 包含两个参数 
	 * hospitalId 医院id
	 * patientId 病人id
	 * @return
	 */
	InquiryInfo getPatientLast(Map<String,Object> map);
	
}
