package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.HospitalInfoDTO;
import com.diagbot.entity.HospitalInfo;
import com.diagbot.vo.HospitalInfoVO;

import java.util.List;

/**
 * <p>
 * 医院信息表 服务类
 * </p>
 *
 * @author rengb
 * @since 2018-11-19
 */
public interface HospitalInfoService extends IService<HospitalInfo> {

    /**
     * 获取医院信息
     * @param hospitalInfoVO
     * @return
     */
    public List<HospitalInfoDTO> getHospitalInfos(HospitalInfoVO hospitalInfoVO);
}
