package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.ModuleDetail;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 模型明细表 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-22
 */
public interface ModuleDetailService extends IService<ModuleDetail> {


    /**
     * 根据moduleId，sexType，age获取模型
     * @param map
     * @return 模型数据
     */
    public List<ModuleDetail> getDetailByModule(Map map);
}
