package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.QuestionUsualDTO;
import com.diagbot.entity.QuestionUsual;
import com.diagbot.vo.QuestionUsualVO;

import java.util.List;

/**
 * <p>
 * 常用标签表 服务类
 * </p>
 *
 * @author wangyu
 * @since 2018-11-16
 */
public interface QuestionUsualService extends IService<QuestionUsual> {

    /**
     * 根据科室code获取常用标签
     * @return
     */
    public List<QuestionUsualDTO> getQuestionUsualName(QuestionUsualVO questionUsualVO);
}
