package com.diagbot.service.impl;

import com.diagbot.dto.PatientInfoDTO;
import com.diagbot.entity.PatientInfo;
import com.diagbot.mapper.PatientInfoMapper;
import com.diagbot.service.PatientInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 患者信息表 服务实现类
 * </p>
 *
 * @author wangyu
 * @since 2018-11-19
 */
@Service
public class PatientInfoServiceImpl extends ServiceImpl<PatientInfoMapper, PatientInfo> implements PatientInfoService {

    @Override
    public List<PatientInfoDTO> getPatientInfos(String patientCode, String hospitalCode) {
        return baseMapper.getPatientInfos(patientCode,hospitalCode);
    }
}
