package com.diagbot.service.impl;

import com.diagbot.dto.QuestionUsualDTO;
import com.diagbot.entity.QuestionUsual;
import com.diagbot.mapper.QuestionUsualMapper;
import com.diagbot.service.QuestionUsualService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.QuestionUsualVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 常用标签表 服务实现类
 * </p>
 *
 * @author wangyu
 * @since 2018-11-16
 */
@Service
public class QuestionUsualServiceImpl extends ServiceImpl<QuestionUsualMapper, QuestionUsual> implements QuestionUsualService {

    @Override
    public List<QuestionUsualDTO> getQuestionUsualName(QuestionUsualVO questionUsualVO) {
        return baseMapper.getQuestionUsualName(questionUsualVO);
    }
}
