package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: 修改模板名入参
 * @date 2018年11月16日 下午2:41:01
 */
@Getter
@Setter
public class TemplateInfoRevampVO {
	@NotNull(message = "请输入模板id")
	private Long id;//模板id
	@NotBlank(message = "请输入模板名")
	private String modeName;//模板名
	/**
     * 医生id
     */
	@NotNull(message = "请输入医生id")
    private Long doctorId;

    /**
     * 医院编码
     */
	@NotNull(message = "请输入医院Id")
    private Long hospitalId;
	/**
	 * 部门id
	 */
	@NotNull(message = "请输入部门id")
	private Long hospitalDeptId;//部门id
	
}
