/**
 * 
 */
package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:34
 */
@ApiModel(value="根据标签获取同义词接口出参")
@Getter
@Setter
public class GetRetrievalsByTagDTO {
	
	/**
	 * 同义词id
	 */
	@ApiModelProperty(value="同义词id")
	private Long retrievalId;
	
	/**
	 * 同义词映射id
	 */
	@ApiModelProperty(value="同义词映射id")
	private Long retrievalMappingId;
	
	/**
	 * 同义词名称
	 */
	@ApiModelProperty(value="同义词名称")
	private String retrievalName;
	
	

}
