package com.diagbot.service;

import com.diagbot.entity.ModuleDetail;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 * 模型明细表 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-22
 */
public interface ModuleDetailService extends IService<ModuleDetail> {

    /**
     * 根据id删除标签
     *
     * @param map
     * @return
     */
    public void deleteByQuestionIds(Map map);


    /**
     * 根据id删除标签模板
     *
     * @param map
     * @return
     */
    public void deleteByModuleIds(Map map);
}
