package com.diagbot.vo;

import java.util.List;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:52
 */
@ApiModel(value="根据映射关系删除标签的同义词接口传参")
@Getter
@Setter
public class DelRetrievalsByMapsVO {
	
	/**
	 * 标签同义词映射关系id集合
	 */
	@ApiModelProperty(value="标签同义词映射关系id集合",required=true)
	@NotEmpty(message="标签同义词映射关系id必传")
	private List<Long> retrievalMappingIds;


}
